Subject: Re: [manet] Difference between OLSR and CEDAR

From: [email-masked]
Date: Wed, 12 Mar 2003 06:56:45 -0800

Another difference between the core nodes of CEDAR and the MPRs of OLSR
that I forgot to mention is that the CEDAR core is not connected, i.e.,
it is not a *connected* dominating set, whereas the set of MPR links
forms a connected subgraph.  Thus, core broadcast in CEDAR uses
unicast along tunnels to send packets between core nodes. 

Also, what I said regarding the MPRs of OLSR also holds for the MPRs
computed by TBRPF.  (As explained in the internet-draft, TBRPF also 
computes MPRs, but in a different way.)

Regards,
Richard

> 
> > While reading the OLSD ID, I got impression that OLSR is very similar to CEDAR.
> > Especially, MPR(Multipoint Relay) of OLSR and Core of CEDAR look like almost
> > same thing to me.
> > Is there anyone who knows the BASIC difference between these two prtocols
> > or two functionalities (MPR and Core)?
> > Thanks in advance.
> > 
> > Young
> 
> Young,
> 
> There are some similarities between the core nodes of CEDAR and the MPRs of 
> OLSR, but there are also some big differences:
> 
>   - The core of CEDAR is ideally a minimum dominating set (MDS), which is 
>     "source independent" in that (unlike the MPRs of OLSR) the decision of
>     a core node to retransmit (forward) a flooded packet is independent of 
>     which neighbor it came from.
> 
>   - In OLSR, an MPR is always an MPR with respect to one or more neighbors,
>     called "MPR selectors".  Thus, MPRs are "source dependent".
> 
>   - In OLSR, there always exists (after convergence) a min-hop path that uses 
>     only MPRs as intermediate nodes, whereas CEDAR does not provide min-hop paths.
> 
>   - Since CEDAR does not require min-hop paths, it can *potentially* achieve 
>     more efficient flooding than source-dependent MPRs, since the number of 
>     nodes in the core *may* be smaller than the number of MPRs that retransmit 
>     a given flooded packet.  This is certainly true if the MDS is optimal
>     (has the minimum number of nodes).
> 
> Regards,
> Richard
> 
> P.S. Anyone who will be in the San Francisco area this Saturday evening (March 15) 
> is invited to attend a chamber music concert in which I will play clarinet:
> 
>    http://www.paphil.org/
> 
> 
> > _______________________________________________
> > manet mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/manet
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet